frame

Sveiki apsilankę!

Jei forume lankaisi pirmą kartą, kviečiame registruotis ir prisijungti prie diskusijų.

Prisijungti Registruotis

Unsupported major.minor version 51.0

darker9999darker9999 Naujokas (-ė)
edited 2012 gegužės 31 Į Pagalba

java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_IC2AdvancedMachines : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at net.minecraft.server.ModLoader.addMod(ModLoader.java:172)
at net.minecraft.server.ModLoader.readFromModFolder(ModLoader.java:929)
at net.minecraft.server.ModLoader.init(ModLoader.java:683)
at net.minecraft.server.ModLoader.Init(ModLoader.java:1357)
at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:102)
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:411)
at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
2012-04-21 18:07:43 [SEVERE] Unexpected exception
java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_IC2AdvancedMachines : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at net.minecraft.server.ModLoader.addMod(ModLoader.java:172)
at net.minecraft.server.ModLoader.readFromModFolder(ModLoader.java:929)
at net.minecraft.server.ModLoader.init(ModLoader.java:683)
at net.minecraft.server.ModLoader.Init(ModLoader.java:1357)
at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:102)
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:411)
at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
2012-04-21 18:07:43 [FINER] THROW
java.lang.RuntimeException: Exception occured in ModLoader
at net.minecraft.server.ModLoader.ThrowException(ModLoader.java:1292)
at net.minecraft.server.ModLoader.ThrowException(ModLoader.java:1297)
at net.minecraft.server.ModLoader.addMod(ModLoader.java:193)
at net.minecraft.server.ModLoader.readFromModFolder(ModLoader.java:929)
at net.minecraft.server.ModLoader.init(ModLoader.java:683)
at net.minecraft.server.ModLoader.Init(ModLoader.java:1357)
at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:102)
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:411)
at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
Caused by: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_IC2AdvancedMachines : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at net.minecraft.server.ModLoader.addMod(ModLoader.java:172)
... 6 more
2012-04-21 18:07:43 [SEVERE] Unexpected exception
java.lang.RuntimeException: Exception occured in ModLoader
at net.minecraft.server.ModLoader.ThrowException(ModLoader.java:1292)
at net.minecraft.server.ModLoader.ThrowException(ModLoader.java:1297)
at net.minecraft.server.ModLoader.addMod(ModLoader.java:193)
at net.minecraft.server.ModLoader.readFromModFolder(ModLoader.java:929)
at net.minecraft.server.ModLoader.init(ModLoader.java:683)
at net.minecraft.server.ModLoader.Init(ModLoader.java:1357)
at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:102)
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:411)
at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
Caused by: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_IC2AdvancedMachines : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at net.minecraft.server.ModLoader.addMod(ModLoader.java:172)
... 6 more
2012-04-21 18:07:43 [SEVERE] Unexpected exception
java.lang.RuntimeException: ModLoader has failed to initialize.
at net.minecraft.server.ModLoader.ThrowException(ModLoader.java:1292)
at net.minecraft.server.ModLoader.init(ModLoader.java:715)
at net.minecraft.server.ModLoader.Init(ModLoader.java:1357)
at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:102)
at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:411)
at net.minecraft.server.ThreadServerApplication.run(SourceFile:465)
Caused by: java.lang.RuntimeException: Exception occured in ModLoader
at net.minecraft.server.ModLoader.ThrowException(ModLoader.java:1292)
at net.minecraft.server.ModLoader.ThrowException(ModLoader.java:1297)
at net.minecraft.server.ModLoader.addMod(ModLoader.java:193)
at net.minecraft.server.ModLoader.readFromModFolder(ModLoader.java:929)
at net.minecraft.server.ModLoader.init(ModLoader.java:683)
... 4 more
Caused by: java.lang.UnsupportedClassVersionError: net/minecraft/server/mod_IC2AdvancedMachines : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631)
at java.lang.ClassLoader.defineClass(ClassLoader.java:615)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
at net.minecraft.server.ModLoader.addMod(ModLoader.java:172)
... 6 more
Štai kokią klaidą gaunu leisdamas .jar failą. Manau reikia java 7 versijos, kaip ją įrašyti ?

Komentarai

  • IV_RomanLIV_RomanL Interneto vizija
    edited 2012 balandžio 22
    Sveiki,

    Įvykdykite komandą java -version ir pateikite rezultatą. Taip pat, informuokite kokią OS naudojate.
  • darker9999darker9999 Naujokas (-ė)
    edited 2012 gegužės 31
    java version "1.6.0_26"
    Java(TM) SE Runtime Environment (build 1.6.0_26-b03)
    Java HotSpot(TM) 64-Bit Server VM (build 20.1-b02, mixed mode)
    

    OS: Debian 6, 64 bit.

    Reikia įrašyti java 7, tačiau perėjus per kelis tutorialus, nepavyko to padaryti.
  • darker9999darker9999 Naujokas (-ė)
    edited 2012 gegužės 31
    Susitvarkiau.

    Java 7 įrašymas debian OS
    deb http://ftp.de.debian.org/debian wheezy main
    
    šią eilutę įrašome į
    /etc/apt/sources.list
    
    išsaugom failą, rašom
    apt-get update
    
    apt-get install openjdk-7-jre
    
    Viskas!
Norėdami palikti komentarą, turite prisijungti arba registruokis.